[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TCustomImage.Proportional

True if image is proportional.

## Declaration

Source position: extctrls.pp line 604

`public property TCustomImage.Proportional : Boolean read FProportional write SetProportional default False;`

## Description

Proportional is a Boolean property which indicates if the proportions (the ratio of width to height) for an image are maintained when it is resized. When set to True, a change to the image size maintains the ratio of width to height for the original image. Proportional is used (along with Stretch) in the DestRect method to determine the rectangle needed to render the image in the control.

Changing the value for the property causes the PictureChanged method to be called.

The default value for the property is False.